{ config, lib, pkgs, ... }:

let
  cfg = config.subs.foot;
in
{
  options = {
    subs.foot.enable = lib.mkOption {
      default = false;
      type = lib.types.bool;
    };
  };

  config = lib.mkIf cfg.enable {
    programs.foot = {
      enable = true;
      server.enable = true;
      settings = {
        main = {
          include = "${pkgs.foot}/share/foot/themes/dracula";
          term = "xterm-256color";
          font = "Iosevka Nerd Font:size=15";
          dpi-aware = "yes";
        };
        bell = {
          system = "no";
        };
        scrollback = {
          lines = 10000;
        };
      };
    };
  };
}

